package com.engine.organization.mapper.resource;

import com.engine.organization.entity.hrmresource.po.ResourcePO;
import com.engine.organization.entity.resume.po.HrmFamilyInfoPO;
import com.engine.organization.entity.resume.po.PersonnelResumePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/12/15
 * @Version V1.0
 **/
public interface HrmResourceMapper {

    List<ResourcePO> selectFilterDatas();

    List<ResourcePO> listByFilter(@Param("resourcePO") ResourcePO resourcePO);

    PersonnelResumePO getPersonnelResumeById(@Param("id") Integer id);

    List<HrmFamilyInfoPO> getHrmFamilyInfoByUser(@Param("resourceId") Integer resourceId);

}
